import { AfterContentInit, QueryList, OnDestroy } from '@angular/core';
import { TabService } from '../tab/tab.service';
import { TabViewItemComponent } from '../tab-view-item/tab-view-item.component';
export declare class TabViewComponent implements AfterContentInit, OnDestroy {
    private tabService;
    tabViewItems: QueryList<TabViewItemComponent>;
    private subs;
    constructor(tabService: TabService);
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
}
